<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form">
    <div class="form-group" ng-class="{'has-success': proxyObj && form.expr.$valid, 'has-error': form.expr.$invalid}">
        <p class="text-muted" ng-show="mode == 'xpath'">Le mode expert vous permet de saisir directement l'expression d'extraction au format <strong>XPath 1.0</strong>.</p>
        <p class="text-muted" ng-show="mode != 'xpath'">Le mode expert vous permet de saisir directement l'expression d'extraction au format <strong>XPath 1.0</strong> ou <strong>XQuery 3.0</strong>. En cas d'utilisation de <strong>XQuery</strong>, le navigateur et les filtres seront désactivés et l'alignement des éventuelles sous-resources <strong>ne pourra se faire qu'en mode expert</strong>.</p>
        <div class="form-control codemirror-control">
            <textarea ui-codemirror="codemirrorOpts" name="expr" ng-model="proxyObj" ui-refresh="refresh" rows="5" xexpr="{{ mode }}"></textarea>
        </div>
        <span class="help-block">
            <span ng-show="!mode || mode == 'xpath'" class="label label-default" ng-class="{'label-success':  proxyObj.type == 'xpath'}">XPath 1.0</span>
            <span ng-show="!mode || mode == 'xquery'" class="label label-default" ng-class="{'label-success':  proxyObj.type == 'xquery'}">XQuery 3.0</span>
            <span ng-if="form.expr.$invalid">L'expression renseignée n'est pas valide. Encore un petit effort !</span>
            <span ng-if="proxyObj && form.expr.$valid">L'expression renseignée est valide !</span>
        </span>
    </div>
</form>